Last Comment Bug 775053 - Intermittent Android dom/devicestorage/ipc/test_ipc.html | Test timed out. (due to abort at nsACString_internal::MutatePrep())
: Intermittent Android dom/devicestorage/ipc/test_ipc.html | Test timed out. (d...
Status: RESOLVED FIXED
[test disabled][leave open]
: crash, intermittent-failure
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: Trunk
: ARM Android
-- critical (vote)
: mozilla17
Assigned To: Doug Turner (:dougt)
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks: 438871 761930 775982
  Show dependency treegraph
 
Reported: 2012-07-18 05:09 PDT by Ed Morley [:emorley]
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
disable test on android xul (13.69 KB, text/plain)
2012-07-18 16:37 PDT, Doug Turner (:dougt)
no flags Details
patch v.1 (870 bytes, patch)
2012-07-18 18:45 PDT, Doug Turner (:dougt)
no flags Details | Diff | Splinter Review
disable like the other device storage tests.. (1.09 KB, patch)
2012-07-18 20:30 PDT, Doug Turner (:dougt)
jmaher: review+
jmaher: review+
Details | Diff | Splinter Review

Description User image Ed Morley [:emorley] 2012-07-18 05:09:47 PDT
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-17 18:52:44 PDT for push 6aa560d1645d

slave: tegra-272

https://tbpl.mozilla.org/php/getParsedLog.php?id=13621110&tree=Mozilla-Inbound

{
785 INFO TEST-START | /tests/dom/devicestorage/ipc/test_ipc.html
786 INFO TEST-PASS | /tests/dom/devicestorage/ipc/test_ipc.html | Got first iframe load event.
787 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
789 INFO TEST-INFO | Found unexpected crash dump file /mnt/sdcard/tests/profile/minidumps/69be88e7-4265-4da3-135eea1d-3dcc15e9.dmp.
790 INFO TEST-INFO | Found unexpected crash dump file /mnt/sdcard/tests/profile/minidumps/69be88e7-4265-4da3-135eea1d-3dcc15e9.extra.
791 INFO TEST-END | /tests/dom/devicestorage/ipc/test_ipc.html | finished in 328106ms
}

{
16167 INFO TEST-START | Shutdown
16168 INFO Passed: 127733
16169 INFO Failed: 2
16170 INFO Todo:   9166
16171 INFO SimpleTest FINISHED

INFO | automation.py | Application ran for: 0:30:08.184080
INFO | automation.py | Reading PID log: /tmp/tmpXcE4hgpidlog
getting files in '/mnt/sdcard/tests/profile/minidumps/'
Downloading symbols from: http://ftp.mozilla.org/pub/mozilla.org/mobile/tinderbox-builds/mozilla-inbound-android/1342575474/fennec-17.0a1.en-US.android-arm.crashreporter-symbols.zip
PROCESS-CRASH | automation.py | application crashed (minidump found)
Crash dump filename: /tmp/tmpE2jOPG/69be88e7-4265-4da3-135eea1d-3dcc15e9.dmp
Operating system: Linux
                  0.0.0 Linux 2.6.32.9-00002-gd8084dc-dirty #1 SMP PREEMPT Wed Feb 2 11:32:06 PST 2011 armv7l
CPU: arm
     0 CPUs

Crash reason:  SIGSEGV
Crash address: 0x0

Thread 0 (crashed)
 0  libmozalloc.so!mozalloc_abort [mozalloc_abort.cpp:6aa560d1645d : 23 + 0x4]
     r4 = 0xafd42550    r5 = 0xbef9a454    r6 = 0x00000000    r7 = 0xffffffff
     r8 = 0x43ded2a5    r9 = 0x00000001   r10 = 0xbef9a068    fp = 0x4444d76a
     sp = 0xbef9a058    lr = 0xafd162f5    pc = 0x420ab704
    Found by: given as instruction pointer in context
 1  libc.so + 0x162f4
     r4 = 0xafd42550    r5 = 0xbef9a454    r6 = 0x00000000    r7 = 0xffffffff
     r8 = 0x43ded2a5    r9 = 0x00000001   r10 = 0xbef9a068    fp = 0x4444d76a
     sp = 0xbef9a058    pc = 0xafd162f5
    Found by: call frame info
 2  libxul.so!nsACString_internal::MutatePrep [nsTSubstring.cpp:6aa560d1645d : 131 + 0x0]
     sp = 0xbef9a060    pc = 0x43df8535
    Found by: stack scanning
 3  0x2323231f
     r4 = 0x00000000    r5 = 0x4444d72b    r6 = 0x6968435b    r7 = 0x3320646c
     r8 = 0x5d353839    sp = 0xbef9a078    pc = 0x23232320
    Found by: call frame info
}
Comment 3 User image Treeherder Robot 2012-07-18 07:20:23 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13635659&tree=Firefox
Android Tegra 250 mozilla-central opt test mochitest-3 on 2012-07-18 06:23:35
slave: tegra-162

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 4 User image Chris Peterson [:cpeterson] 2012-07-18 08:15:29 PDT
This test is also crashing on m-c.

The crash seems to start when bug 774671 was pushed:

https://tbpl.mozilla.org/?rev=ae22909cef5a

Though, suspiciously, the prior cset was a huge merge from m-i:

https://tbpl.mozilla.org/?rev=ba8463beab13
Comment 5 User image Treeherder Robot 2012-07-18 08:27:30 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13636871&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 07:14:11
slave: tegra-100

787 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 6 User image Chris Peterson [:cpeterson] 2012-07-18 08:42:22 PDT
Please ignore my comment 4. This crash had been crashing intermittently on earlier csets.
Comment 7 User image Geoff Brown [:gbrown] 2012-07-18 10:10:00 PDT
(In reply to Ed Morley [:edmorley] from comment #1)
> https://tbpl.mozilla.org/php/getParsedLog.php?id=13623146&tree=Mozilla-
> Inbound

The logcat for this one has "out of memory" - like 747787.

W/System.err( 1685): java.lang.OutOfMemoryError
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
I/dalvikvm-heap( 1685): Forcing collection of SoftReferences for 104-byte allocation
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
E/dalvikvm-heap( 1685): Out of memory on a 104-byte allocation.
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
I/dalvikvm-heap( 1685): Forcing collection of SoftReferences for 128-byte allocation
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
E/dalvikvm-heap( 1685): Out of memory on a 128-byte allocation.
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
I/dalvikvm-heap( 1685): Forcing collection of SoftReferences for 88-byte allocation
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
E/dalvikvm-heap( 1685): Out of memory on a 88-byte allocation.
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
I/dalvikvm-heap( 1685): Forcing collection of SoftReferences for 24-byte allocation
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
E/dalvikvm-heap( 1685): Out of memory on a 24-byte allocation.
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
I/dalvikvm-heap( 1685): Forcing collection of SoftReferences for 24-byte allocation
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
E/dalvikvm-heap( 1685): Out of memory on a 24-byte allocation.
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
I/dalvikvm-heap( 1685): Forcing collection of SoftReferences for 68-byte allocation
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
E/dalvikvm-heap( 1685): Out of memory on a 68-byte allocation.
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
I/dalvikvm-heap( 1685): Forcing collection of SoftReferences for 24-byte allocation
I/dalvikvm-heap( 1685): Clamp target GC heap from 17.940MB to 16.000MB
E/dalvikvm-heap( 1685): Out of memory on a 24-byte allocation.
I/ActivityManager( 1017): Process org.mozilla.fennec (pid 1685) has died.

Most of the other logs do not contain "out of memory".
Comment 8 User image Treeherder Robot 2012-07-18 10:14:09 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13639324&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 07:58:10
slave: tegra-096

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 29617
Comment 9 User image Treeherder Robot 2012-07-18 10:27:34 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13640957&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 09:01:30
slave: tegra-078

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 1092
Comment 10 User image Doug Turner (:dougt) 2012-07-18 14:59:37 PDT
devicestorage isn't implemented on Android.  We can disable this test for now.
Comment 11 User image Doug Turner (:dougt) 2012-07-18 15:03:32 PDT
may be related to 763404.
Comment 12 User image Treeherder Robot 2012-07-18 15:44:58 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=13647334&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 13:40:10
slave: tegra-285

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 13 User image Doug Turner (:dougt) 2012-07-18 16:37:03 PDT
Created attachment 643667 [details]
disable test on android xul
Comment 14 User image Doug Turner (:dougt) 2012-07-18 16:37:29 PDT
disable for now.  i'll investigate soon.
Comment 15 User image Doug Turner (:dougt) 2012-07-18 16:58:13 PDT
Comment on attachment 643667 [details]
disable test on android xul

attaching random patches to random test failures.
Comment 16 User image Treeherder Robot 2012-07-18 18:12:07 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13653280&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 17:07:48
slave: tegra-245

787 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
Comment 17 User image Treeherder Robot 2012-07-18 18:31:51 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13653913&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 16:58:50
slave: tegra-070

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 49375
Comment 18 User image Treeherder Robot 2012-07-18 18:33:28 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13652773&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 16:23:27
slave: tegra-138

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 51332
Comment 19 User image Treeherder Robot 2012-07-18 18:34:28 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13652533&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 16:08:46
slave: tegra-158

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 60910
Comment 20 User image Doug Turner (:dougt) 2012-07-18 18:45:55 PDT
Created attachment 643699 [details] [diff] [review]
patch v.1
Comment 21 User image Treeherder Robot 2012-07-18 18:52:32 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13649431&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 14:08:04
slave: tegra-207

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 24315
Comment 22 User image Matt Brubeck (:mbrubeck) 2012-07-18 18:53:40 PDT
Comment on attachment 643699 [details] [diff] [review]
patch v.1

I just remembered that, if I understand correctly, the preferred method these days is to add the directory name and a comment to testing/mochitest/android.json (see bug 761125 for some more context).  You should probably do that and ask jmaher for review.
Comment 23 User image Treeherder Robot 2012-07-18 18:56:45 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13647389&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 12:56:49
slave: tegra-234

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 81441
Comment 24 User image Treeherder Robot 2012-07-18 18:57:01 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13648616&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 13:44:01
slave: tegra-166

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 56048
Comment 25 User image Treeherder Robot 2012-07-18 18:59:10 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13654463&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 17:36:55
slave: tegra-234

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 92104
Comment 26 User image Treeherder Robot 2012-07-18 19:04:01 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13644111&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 11:42:51
slave: tegra-105

787 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 27 User image Treeherder Robot 2012-07-18 19:13:34 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13644199&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 10:58:29
slave: tegra-151

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 72491
Comment 28 User image Treeherder Robot 2012-07-18 19:30:45 PDT
capella
https://tbpl.mozilla.org/php/getParsedLog.php?id=13652785&tree=Try
Android Tegra 250 try opt test mochitest-3 on 2012-07-18 17:04:26
slave: tegra-154

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 29 User image Treeherder Robot 2012-07-18 19:39:18 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=13655319&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 18:53:34
slave: tegra-053

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
Comment 30 User image Doug Turner (:dougt) 2012-07-18 20:30:04 PDT
Created attachment 643714 [details] [diff] [review]
disable like the other device storage tests..
Comment 31 User image Treeherder Robot 2012-07-19 00:41:28 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13661183&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 23:14:47
slave: tegra-040

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 32 User image Treeherder Robot 2012-07-19 00:46:01 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13656905&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 19:13:38
slave: tegra-135

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 56923
Comment 33 User image Treeherder Robot 2012-07-19 00:48:47 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13656070&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 18:40:46
slave: tegra-101

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 52458
Comment 34 User image Treeherder Robot 2012-07-19 00:48:50 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13655966&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 18:36:13
slave: tegra-272

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 10382
Comment 35 User image Treeherder Robot 2012-07-19 00:48:53 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13656574&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 19:47:11
slave: tegra-163

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 36 User image Treeherder Robot 2012-07-19 00:48:56 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13656392&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 19:02:00
slave: tegra-279

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 47465
Comment 37 User image Treeherder Robot 2012-07-19 00:48:59 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13655812&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 18:30:09
slave: tegra-067

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 51938
Comment 38 User image Treeherder Robot 2012-07-19 00:49:02 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13658363&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-18 20:18:23
slave: tegra-278

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 50009
Comment 39 User image Treeherder Robot 2012-07-19 02:38:07 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13664372&tree=Firefox
Android Tegra 250 mozilla-central opt test mochitest-3 on 2012-07-19 01:35:08
slave: tegra-076

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 3 (crashed)
Comment 40 User image Treeherder Robot 2012-07-19 03:17:23 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13664230&tree=Firefox
Android Tegra 250 mozilla-central opt test mochitest-3 on 2012-07-19 01:29:01
slave: tegra-135

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 41 User image Treeherder Robot 2012-07-19 03:17:35 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13665297&tree=Firefox
Android Tegra 250 mozilla-central opt test mochitest-3 on 2012-07-19 02:20:02
slave: tegra-092

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 42 User image Treeherder Robot 2012-07-19 03:54:22 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13665643&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-19 02:40:44
slave: tegra-100

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 43 User image Treeherder Robot 2012-07-19 03:55:30 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13665124&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-19 02:20:56
slave: tegra-106

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 44 User image Treeherder Robot 2012-07-19 05:12:21 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13668434&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-19 04:21:18
slave: tegra-240

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 45 User image Treeherder Robot 2012-07-19 05:12:32 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13668447&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-19 03:32:02
slave: tegra-140

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 72334
Comment 46 User image Treeherder Robot 2012-07-19 05:23:39 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13668187&tree=Firefox
Android Tegra 250 mozilla-central opt test mochitest-3 on 2012-07-19 04:11:50
slave: tegra-274

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 47 User image Joel Maher ( :jmaher) 2012-07-19 05:35:01 PDT
Comment on attachment 643714 [details] [diff] [review]
disable like the other device storage tests..

Review of attachment 643714 [details] [diff] [review]:
-----------------------------------------------------------------

in this case we should just disable the entire dom/devicestorage test suite since they are all now officially failing.
Comment 48 User image Treeherder Robot 2012-07-19 06:19:46 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13669414&tree=Firefox
Android Tegra 250 mozilla-central opt test mochitest-3 on 2012-07-19 04:59:50
slave: tegra-240

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 49 User image Joel Maher ( :jmaher) 2012-07-19 06:46:04 PDT
Comment on attachment 643714 [details] [diff] [review]
disable like the other device storage tests..

Review of attachment 643714 [details] [diff] [review]:
-----------------------------------------------------------------

One other thing, please open a bug to track this.  This test passed originally, so either this testcase won't work for a known reason (please provide bug) or we need to investigate when we have time (please provide bug).

Put the bug in the android.json next to the test case (there are examples in the file).
Comment 50 User image Treeherder Robot 2012-07-19 07:58:33 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13672466&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test mochitest-3 on 2012-07-19 07:00:59
slave: tegra-105

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 51 User image Treeherder Robot 2012-07-19 08:37:34 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13673306&tree=Firefox
Android Tegra 250 mozilla-central opt test mochitest-3 on 2012-07-19 07:41:11
slave: tegra-089

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 52 User image Treeherder Robot 2012-07-19 09:04:47 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13673898&tree=Services-Central
Android Tegra 250 services-central opt test mochitest-3 on 2012-07-19 07:43:57
slave: tegra-181

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 53 User image Doug Turner (:dougt) 2012-07-19 09:44:02 PDT
Comment on attachment 643714 [details] [diff] [review]
disable like the other device storage tests..

https://hg.mozilla.org/integration/mozilla-inbound/rev/dfdda6b5e2b0
Comment 54 User image Treeherder Robot 2012-07-19 10:01:19 PDT
cjones
https://tbpl.mozilla.org/php/getParsedLog.php?id=13669112&tree=Try
Android Tegra 250 try opt test mochitest-3 on 2012-07-19 04:11:23
slave: tegra-146

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 52921
Comment 55 User image Treeherder Robot 2012-07-19 11:24:31 PDT
vporof
https://tbpl.mozilla.org/php/getParsedLog.php?id=13677203&tree=Firefox
Android Tegra 250 mozilla-central opt test mochitest-3 on 2012-07-19 08:34:00
slave: tegra-282

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 71687
Comment 56 User image Treeherder Robot 2012-07-20 03:49:21 PDT
Aryeh Gregor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13674308&tree=Try
Android Tegra 250 try opt test mochitest-3 on 2012-07-19 08:08:59
slave: tegra-221

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 57 User image Treeherder Robot 2012-07-20 04:13:29 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13702369&tree=Services-Central
Android Tegra 250 services-central opt test mochitest-3 on 2012-07-20 02:12:11
slave: tegra-157

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
PROCESS-CRASH | automation.py | application crashed (minidump found)
Thread 0 (crashed)
Comment 58 User image Treeherder Robot 2012-07-20 04:13:43 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13702714&tree=Fx-Team
Android Tegra 250 fx-team opt test mochitest-3 on 2012-07-20 02:00:00
slave: tegra-247

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 49234
Comment 59 User image Treeherder Robot 2012-07-20 04:16:11 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13704051&tree=Firefox
Android Tegra 250 mozilla-central opt test mochitest-3 on 2012-07-20 03:25:14
slave: tegra-223

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
Comment 60 User image Treeherder Robot 2012-07-20 05:17:25 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=13705693&tree=Firefox
Android Tegra 250 mozilla-central opt test mochitest-3 on 2012-07-20 03:51:40
slave: tegra-087

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 53624
Comment 61 User image Treeherder Robot 2012-07-20 05:50:01 PDT
capella
https://tbpl.mozilla.org/php/getParsedLog.php?id=13706547&tree=Try
Android Tegra 250 try opt test mochitest-3 on 2012-07-20 04:17:54
slave: tegra-235

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 53316
Comment 62 User image Ed Morley [:emorley] 2012-07-20 06:46:40 PDT
https://hg.mozilla.org/mozilla-central/rev/dfdda6b5e2b0
Comment 63 User image Treeherder Robot 2012-07-20 08:40:30 PDT
jgilbert
https://tbpl.mozilla.org/php/getParsedLog.php?id=13707069&tree=Try
Android Tegra 250 try opt test mochitest-3 on 2012-07-20 04:29:25
slave: tegra-254

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 91401
Comment 64 User image Treeherder Robot 2012-07-22 01:20:07 PDT
Aryeh Gregor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13709170&tree=Try
Android Tegra 250 try opt test mochitest-3 on 2012-07-20 06:10:04
slave: tegra-206

788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
789 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 92132
Comment 65 User image Treeherder Robot 2012-07-22 01:20:23 PDT
Aryeh Gregor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13709816&tree=Try
Android Tegra 250 try opt test mochitest-3 on 2012-07-20 06:38:29
slave: tegra-158

787 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
788 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | This test left crash dumps behind, but we weren't expecting it to!
buildbot.slave.commands.TimeoutError: command timed out: 2400 seconds without output, killing pid 24674
Comment 66 User image Treeherder Robot 2012-08-03 10:21:50 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=14084152&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try opt test mochitests-2/5 on 2012-08-02 17:37:24
slave: talos-r4-snow-022

2548 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/ipc/test_ipc.html | Test timed out.
2 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/test/test_watchMultiple.html | Test timed out.
2629 ERROR TEST-UNEXPECTED-FAIL | /tests/dom/devicestorage/test/test_watchMultiple.html | Test timed out.
Comment 67 User image Doug Turner (:dougt) 2012-08-20 10:24:23 PDT
we disabled the device storage tests on android.

Note You need to log in before you can comment on or make changes to this bug.